#version 150

uniform sampler2D font;
uniform vec3      color;

in  vec2 fragmentTexCoord;

out vec4 fragColor;

void main() {
	// if the lookup returns black (= 0) we did not hit a letter but background, discard fragment.
	if ( texture( font, fragmentTexCoord ).x == 0 ) { 
		discard;
	} else {
		fragColor = vec4( color, 1 );	
	}
}
